[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# GetFileAsString

## Declaration

Source position: filutilh.inc line 236

`function GetFileAsString(`
`const aFileName: RawByteString`
`):RawByteString; function GetFileAsString(`
`const aFileName: RawByteString;`
`aEncoding: TEncoding`
`):RawByteString; function GetFileAsString(`
`const aFileName: UnicodeString`
`):UnicodeString; function GetFileAsString(`
`const aFileName: UnicodeString;`
`aEncoding: TEncoding`
`):UnicodeString;`